Search documentation of ExStreamClient

# ExStreamClient.Model.QuerySegmentsRequest (ExStreamClient v0.1.10)

View Source

Schema representing a QuerySegmentsRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.QuerySegmentsRequest{
      filter: %{optional(String.t()) => any()},
      limit: integer() | nil,
      next: String.t() | nil,
      prev: String.t() | nil,
      sort: [ExStreamClient.Model.SortParamRequest.t()] | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()